
public class Persona {

private String codiceFiscale;
private int dataNascita;
private String cittaResidenza;
private String occupazione;
private double redditoPercepito;

public Persona(){
	codiceFiscale=null;
	dataNascita = -1;
	cittaResidenza = null;
	occupazione=null;
	redditoPercepito =0;
	
}
	
public Persona(String CF, int dn, String citta, String occupazione, double reddito ){
	codiceFiscale=CF;
	dataNascita = dn;
	cittaResidenza = citta;
	this.occupazione=occupazione;
	redditoPercepito =reddito;
}

public Persona(String CF, int dn, String citta ){
	codiceFiscale=CF;
	dataNascita = dn;
	cittaResidenza = citta;
	this.occupazione= null;
	redditoPercepito =0;
}

public Persona(Persona copiaP){
	codiceFiscale= copiaP.codiceFiscale;
	dataNascita = copiaP.dataNascita;
	cittaResidenza = copiaP.cittaResidenza;
	occupazione= copiaP.occupazione;
	redditoPercepito = copiaP.redditoPercepito;
}

// metodo get
public String getcodiceFiscale(){
	return codiceFiscale;
	}

public int getdataNascita(){
	return dataNascita;
	
}
 public String getcittaResidenza(){
	 return cittaResidenza;
	 
 }

 public String getOccupazione(){
	 return occupazione;
 }
 
 public double getReddito(){
	 return redditoPercepito;
 }

//metodi set

   public void setcittaResidenza(String cittaResidenza){
 	 this.cittaResidenza= cittaResidenza;
 	 
  }

  public void setOccupazione( String newoccupazione){
 	 occupazione = newoccupazione ;
  }
  
  public void setReddito( double newreddito){
 	 redditoPercepito= newreddito;
  }

  public String toString(){
	  return "CF: " + codiceFiscale + "data nascita: " + this.dataNascita + 
	  " \n residenza: " + this.cittaResidenza;
  }
 
  public boolean equals( Object o){
	  if (o instanceof Persona){
		  Persona p = (Persona)o;
		  return this.codiceFiscale.equals(p.codiceFiscale);
	  }
		  return false;
	  }
  
  public boolean isOccupato(){
	  return this.getOccupazione()!=null;
	  
  }
  
  
  
  
  
  
  
  
  
  
 
}
	
